com.amazon.redshift.util

## Class ServerErrorMessage

- java.lang.Object
- - com.amazon.redshift.util.ServerErrorMessage

All Implemented Interfaces:
  Serializable

    public class ServerErrorMessage
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ServerErrorMessage(EncodingPredictor.DecodeResult serverError)`
`ServerErrorMessage(String serverError)`

### Method Summary

Methods
`String` `getColumn()`
`String` `getConstraint()`
`String` `getDatatype()`
`String` `getDetail()`
`String` `getFile()`
`String` `getHint()`
`int` `getInternalPosition()`
`String` `getInternalQuery()`
`int` `getLine()`
`String` `getMessage()`
`int` `getPosition()`
`String` `getRoutine()`
`String` `getSchema()`
`String` `getSeverity()`
`String` `getSQLState()`
`String` `getTable()`
`String` `getWhere()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerErrorMessage

    public ServerErrorMessage(EncodingPredictor.DecodeResult serverError)

#### ServerErrorMessage

    public ServerErrorMessage(String serverError)

### Method Detail

#### getSQLState

    public String getSQLState()

#### getMessage

    public String getMessage()

#### getSeverity

    public String getSeverity()

#### getDetail

    public String getDetail()

#### getHint

    public String getHint()

#### getPosition

    public int getPosition()

#### getWhere

    public String getWhere()

#### getSchema

    public String getSchema()

#### getTable

    public String getTable()

#### getColumn

    public String getColumn()

#### getDatatype

    public String getDatatype()

#### getConstraint

    public String getConstraint()

#### getFile

    public String getFile()

#### getLine

    public int getLine()

#### getRoutine

    public String getRoutine()

#### getInternalQuery

    public String getInternalQuery()

#### getInternalPosition

    public int getInternalPosition()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`